%define srcname xorg-server
%define xorg xorg-x11
%define xf86 XFree86

%define mesaversion 7.0.3
%define xorgversion 7.3.0.0

%define _libexecdir /usr/libexec
%define _modulesdir %_libdir/X11/modules
%define _fontsdir %_datadir/fonts
%define _deffontdir %_fontsdir/bitmap/misc/

%define _mesasrcdir %_builddir/%srcname-%version/Mesa-%mesaversion

%def_enable dmx
%def_disable xprint
%def_disable xorgcfg
%def_enable kdrive
%def_enable xephyr
%def_disable xgl
%def_disable xglx
%def_enable aiglx
%def_disable ipv6
%def_disable static

%def_enable glx_tls
%def_disable glx_xcb

Name: %xorg-server
Version: 1.3.0.0
Release: alt21.M40.10
Serial: 2
License: MIT/X11
Summary: Xserver - X Window System display server
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %srcname-%version.tar.bz2
Source1: MesaLib-%mesaversion.tar.bz2

Source2: x11-switch
Source3: xserver.pamd
Source4: xfonts.xinit

Patch11: xorg-server-1.1.99.3-alt-fix-path.patch

Patch21: xorg-x11-6.8.1-alt-autoconfig-fbdev-disable.patch
Patch22: xorg-server-1.1.1-alt-PM-disable-by-defaults.patch

Patch100: xorg-server-1.2.99.901-alt-parser.patch
Patch101: xorg-server-1.1.1-alt-disable-aiglx-by-default.patch
Patch102: xorg-server-1.1.99.902-alt-remove-prereliase.patch
Patch104: xorg-server-1.3.99.0-alt-loader-typo.patch
Patch105: xorg-server-1.3.99.0-alt-pattern.patch
Patch106: xorg-server-1.2.99.905-alt-drop-scanpci.patch
Patch107: xorg-server-1.2.99.905-alt-xf86Modes-deprecated.patch
Patch108: xorg-server-1.3.0.0-alt-glx-xcb.patch
Patch109: xorg-server-1.3.0.0-alt-glx-link.patch
Patch110: xorg-server-1.3.0.0-alt-default-dpi.patch

Patch200: xorg-server-1.1.99.902-git-xf86MapDomainMemory.patch
Patch201: xorg-server-1.2.0-git-linuxPCIOpenFile-bug9692.patch
Patch202: xorg-server-1.2.0-git-length-limiting-bug9680.patch
Patch203: xorg-server-1.3.0.0-git-8888x0565mmx-bug9682.patch
Patch204: xorg-server-1.2.0-git-use-8888x0565mmx.patch
Patch205: xorg-server-1.2.0-git-xf86_libc_h-typo.patch
Patch206: xorg-server-1.2.0-git-security-bug6988.patch
Patch207: xorg-server-1.2.99.905-git-parcer.patch
Patch208: xorg-server-1.2.99.905-git-linuxPci-sysfs.patch
Patch209: xorg-server-1.2.99.905-git-optparsing-memleak.patch
Patch211: xorg-server-1.3.0.0-git-xf86XVReputVideo.patch
Patch212: xorg-server-1.3.0.0-git-domain-support-bug5000.patch
Patch213: xorg-server-1.3.0.0-git-pciids-20070716.patch
Patch214: xorg-server-1.3.0.0-git-pciids-20070815.patch
Patch215: xorg-server-1.3.0.0-idletime.patch
Patch216: xorg-server-1.3.0.0-get-rid-type1-module.patch
Patch217: xorg-server-1.3.0.0-git-renderproto-bug7364.patch
Patch218: xorg-server-1.3.0.0-git-Xinerama.patch
Patch219: Mesa-7.0.2-git-GLX_BIND_TO_MIPMAP_TEXTURE_EXT-bug9264.patch

Patch250: xorg-server-1.3.0.0-mesa-7.0.1.patch
Patch251: xorg-server-1.3.0.0-git-glXDRIbindTexImage.patch

Patch301: xorg-server-1.1.99.903-render-size-overflow.patch
Patch302: xorg-server-1.1.99.903-ignore-libdrm.patch
Patch303: xorg-server-1.3.0.0-10247-exa-mem-allocated.patch

Patch501: xorg-server-1.3.0.0-newglx-offscreen-pixmaps.patch
Patch502: xorg-server-1.1.99.903-no-move-damage.patch

Patch600: xorg-x11-server-Red-Hat-extramodes.patch
Patch601: xserver-1.2.0-honor-displaysize.patch
Patch602: xorg-x11-server-1.1.1-xkb-in-xnest.patch
Patch603: xserver-1.2.0-geode-mmx.patch
Patch604: xorg-x11-server-1.2.0-xephyr-only.patch
Patch605: xorg-server-1.3.0.0-RH-xkb-and-loathing.patch

Patch700: xorg-server-1.3.0.0-0001-X86EMU.patch
Patch701: xorg-server-1.3.0.0-0002-X86EMU.patch
Patch702: xorg-server-1.3.0.0-0003-X86EMU.patch

Patch800: xorg-server-1.3.0.0-0100-Set-the-crtc-before-the-output-change-is-notified.patch
Patch801: xorg-server-1.3.0.0-0101-Fix-the-output-crtc-initialization-in-the-old-randr.patch
Patch802: xorg-server-1.3.0.0-0102-Fix-a-crash-when-rotating-the-screen.patch
Patch803: xorg-server-1.3.0.0-0103-RRScanOldConfig-wasn-t-getting-crtcs-set-correctly.patch
Patch804: xorg-server-1.3.0.0-0104-RRScanOldConfig-cannot-use-RRFirstOutput-before-outp.patch
Patch805: xorg-server-1.3.0.0-0105-Allocate-the-right-number-of-entries-for-saving-cr.patch
Patch806: xorg-server-1.3.0.0-0106-Decrement-mode-count-when-removing-RandR-output-mode.patch
Patch807: xorg-server-1.3.0.0-0107-Make-PreferredMode-option-in-config-file-override-ED.patch
Patch808: xorg-server-1.3.0.0-0108-Query-modes-on-disabled-but-not-ignored-outputs.patch
Patch809: xorg-server-1.3.0.0-0109-Make-pending-property-changes-trigger-mode-setting.patch
Patch810: xorg-server-1.3.0.0-0110-Screen-size-bounds-check-in-ProcRRSetCrtcConfig-not.patch
Patch811: xorg-server-1.3.0.0-0111-Skip-driver-mode-detection-configuration-when-vtSem.patch
Patch812: xorg-server-1.3.0.0-0112-Disable-all-outputs-and-crtcs-at-startup.patch
Patch813: xorg-server-1.3.0.0-0113-Don-t-call-xf86RandR12TellChanged-if-it-doesn-t-exis.patch
Patch814: xorg-server-1.3.0.0-0114-Adjust-the-screen-pixmap-s-dimensions-in-xf86RandR12.patch
Patch815: xorg-server-1.3.0.0-0115-Include-xf86Rename.h-in-xf86RandR12.h.patch
Patch816: xorg-server-1.3.0.0-0116-Use-Screen-block-handler-for-rotation-to-draw-under.patch
Patch817: xorg-server-1.3.0.0-0117-Fix-mode-validation-against-the-maximum-X-Y-values-c.patch
Patch818: xorg-server-1.3.0.0-0118-Fix-sync-polarity-on-Samsung-SyncMaster-205BW-monito.patch
Patch819: xorg-server-1.3.0.0-0119-Bug-10814-Add-needed-quirk-for-Samsung-225BW-like.patch
Patch820: xorg-server-1.3.0.0-0120-Add-RandR-reflection-support.patch
Patch821: xorg-server-1.3.0.0-0121-MakeAtom-needs-length-without-trailing-NUL.-sizeof.patch
Patch822: xorg-server-1.3.0.0-0122-Include-picturestr.h-in-xf86Crtc.h-to-pick-up-defini.patch
Patch823: xorg-server-1.3.0.0-0123-Disable-RANDR-s-fake-Xinerama-protocol-when-there-s.patch
Patch824: xorg-server-1.3.0.0-cursor-and-randr-fixes.patch
Patch825: xorg-server-1.3.0.0-Xephyr-evdev-support.patch

Patch950: xorg-server-1.4-suse-disable-fbblt-opt.patch
Patch951: xorg-server-1.4-suse-p_vga-crashfix.patch

Patch1000: xorg-server-1.3.0.0-CVE-2007-1356.patch
Patch1001: xorg-server-1.3.0.0-Composite-bug7447-CVE-2007-4730.patch
Patch1002: xorg-xserver-1.2-multiple-overflows-v2.diff
Patch1003: xorg-xserver-1.4-cve-2008-1377.diff
Patch1004: xorg-xserver-1.4-cve-2008-1379.diff
Patch1005: xorg-xserver-1.4-cve-2008-2360.diff
Patch1006: xorg-xserver-1.4-cve-2008-2361.diff
Patch1007: xorg-xserver-1.4-cve-2008-2362.diff

Obsoletes: %xf86-server
Provides: %xf86-server = 4.4 xserver-wrapper
PreReq: %srcname-control >= 1.3-alt1 %name-common = %version-%release
Conflicts: %xorg-xfs <= 1:1.0.1-alt3

Requires: libxorgconfig = %version-%release
Requires: cpp xkbcomp xkeyboard-config xset iceauth xdpyinfo
Requires: %xorg-drv-vga %xorg-drv-vesa %xorg-drv-keyboard %xorg-drv-mouse

BuildRequires: flex libfreetype-devel libICE-devel libSM-devel libX11-devel libXau-devel libXaw-devel
BuildRequires: libXTrap-devel libXdmcp-devel libXext-devel libXfixes-devel libXfont-devel libXfontcache-devel
BuildRequires: libXi-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXres-devel
BuildRequires: libXt-devel libXtst-devel libXxf86misc-devel libXxf86vm-devel libdmx-devel
BuildRequires: libdrm-devel >= 2.4.0 libfontenc-devel libmesa-devel libncurses-devel libtinfo-devel
BuildRequires: libxkbfile-devel libxkbui-devel xorg-x11-proto-devel >= 7.3.0-alt4 xorg-x11-xtrans-devel
BuildRequires: zlib-devel mkfontdir mkfontscale xorg-x11-util-macros
%if_enabled xgl
BuildRequires: libglitz-devel
%endif
%if_enabled kdrive
BuildRequires: libSDL-devel
%endif

%description
X  is  the  generic name for the X Window System display server.  It is
frequently a link or a copy of the appropriate server binary for  driving
the most frequently used server on a given machine.							

%package -n %xorg-extensions-glx
Summary: GLX extensions
Group: System/X11
PreReq: libmesa >= %mesaversion x11setupdrv >= 0.4
Provides: %xorg-extensions-dri = %serial:%version-%release
Obsoletes: %xorg-extensions-dri < %serial:%version-%release
Requires: %name = %version-%release glxinfo xdriinfo

%description -n %xorg-extensions-glx
GLX extensions for X server

%package -n %xorg-drv-multimedia
Summary: Multimedia drivers
Group: System/X11
Requires: %name = %version-%release

%description -n %xorg-drv-multimedia
Multimedia drivers for X server

%package common
Summary: The X server common files
Group: System/X11
PreReq: startup >= 0.9.2-alt1
Requires: xorg-x11-xauth fonts-bitmap-misc xorg-x11-rgb

%description common
%name-common is common files for X.Org.

%package -n %xorg-xvfb
Summary: A virtual framebuffer X Windows System server for X.Org
Group: System/X11
Requires: %name-common = %version-%release
Provides: %xf86-Xvfb = 4.4 %xorg-Xvfb = %xorgversion-%release
Obsoletes: %xf86-Xvfb %xorg-Xvfb

%description -n %xorg-xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%package -n %xorg-xnest
Summary: A nested X.Org server
Group: System/X11
Requires: %name-common = %version-%release
Provides: %xf86-Xnest = 4.4 %xorg-Xnest = %xorgversion-%release
Obsoletes: %xf86-Xnest %xorg-Xnest

%description -n %xorg-xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%package -n %xorg-xephyr
Summary: A kdrive-based X server
Group: System/X11
Requires: %name-common = %version-%release

%description -n %xorg-xephyr
Xephyr is a kdrive based X Server which targets a window on
a host X Server as its framebuffer. Unlike Xnest it supports
modern X extensions (even if host server doesn't) such as Composite,
Damage, randr etc.

It uses SHM Images and shadow framebuffer updates to provide
good performance.
It also has a visual debugging mode for observing screen updates.

%package -n %xorg-xdmx
Summary: Multi-head X server
Group: System/X11
Requires: %name = %version-%release
Obsoletes: %xorg-Xdmx
Provides: %xorg-Xdmx = %xorgversion-%release

%description -n %xorg-xdmx
Xdmx  is  a proxy X server that uses one or more other X servers as its
display devices.  It provides multi-head X functionality  for  displays
that  might  be  located  on  different  machines.  Xdmx functions as a
front-end X server that acts as a proxy to a set of back-end X servers.
All  of  the  visible  rendering  is  passed to the back-end X servers.
Clients connect to the Xdmx front-end, and  everything  appears  as  it
would  in  a  regular multi-head configuration.  If Xinerama is enabled
(e.g., with +xinerama on the command line), the clients  see  a  single
large screen.

Xdmx communicates to the back-end X servers using the standard X11 pro-
tocol, and standard and/or commonly available X server extensions.

%package -n libxorgconfig
Summary: Shared libraries for read and write XOrg configuration files
Group: System/Libraries

%description -n libxorgconfig
This package contains the shared libraries for read and write XOrg configuration
files.

%package -n libxorgconfig-devel
Summary: xf86config Library and Header Files
Group: Development/C
Requires: libxorgconfig = %version-%release
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 0:6.9.0

%description -n libxorgconfig-devel
libxorgconfig-devel contains the libraries and header files needed to
develop programs which make use of libxorgconfig.

%package -n %xorg-sdk
Summary: SDK for X server driver module development
Group: Development/C

%description -n %xorg-sdk
The SDK package provides the developmental files which are necessary for
developing X server driver modules, and for compiling driver modules
outside of the standard X11 source code tree.  Developers writing video
drivers, input drivers, or other X modules should install this package.

%add_findreq_skiplist %_sysconfdir/X11/xinit.d/xfonts %_modulesdir/*

%prep
%setup -n %srcname-%version -q -a1

%patch11 -p1

%patch21 -p3
%patch22 -p1

%patch100 -p1 -b .alt-parser
%patch101 -p1
%patch102 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch109 -p1 -b .glx-link
%patch110 -p1

%if_enabled glx_xcb
%patch108 -p1 -b .xcb
%endif

%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p0

%patch250 -p1 -b .mesa-7.0.1
%patch251 -p1

%patch301 -p1
%patch302 -p1
%patch303 -p1

%patch501 -p1 -b .offscreen-pixmaps
%patch502 -p0 -b .no-move-damage

%patch600 -p1
%patch601 -p1
%patch602 -p1
%patch603 -p1
%patch604 -p1
%patch605 -p1

%patch700 -p1
%patch701 -p1
%patch702 -p1

%patch800 -p1
%patch801 -p1
%patch802 -p1
%patch803 -p1
%patch804 -p1
%patch805 -p1
%patch806 -p1
%patch807 -p1
%patch808 -p1
%patch809 -p1
%patch810 -p1
%patch811 -p1
%patch812 -p1
%patch813 -p1
%patch814 -p1
%patch815 -p1
%patch816 -p1
%patch817 -p1
%patch818 -p1
%patch819 -p1
%patch820 -p1
%patch821 -p1
%patch822 -p1
%patch823 -p1
%patch824 -p1
%patch825 -p1

%patch950 -p0
%patch951 -p2

%patch1000 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1

%build
%define _optlevel 3
%__autoreconf
%configure \
	--with-os-name="ALT Linux" \
	--with-os-vendor="%(uname -rm)" \
	--with-builder-addr="%packager" \
	--with-vendor-web=https://bugzilla.altlinux.org/ \
	--with-release-major=7 \
	--with-module-dir=%_modulesdir \
	--with-dri-driver-path=%_modulesdir/dri \
	--with-mesa-source=%_mesasrcdir \
	--with-log-dir=%_logdir \
	--with-xkb-path=%_datadir/X11/xkb \
	--with-xkb-output=%_localstatedir/xkb \
	--with-rgb-path=%_datadir/X11/rgb \
	--with-default-font-path=%_deffontdir \
	--with-fontdir=%_datadir/X11/fonts \
%if_enabled glx_xcb
	--enable-glx-xcb \
%endif
	%{subst_enable dmx} \
	%{subst_enable glx_tls} \
	%{subst_enable kdrive} \
	%{subst_enable xephyr} \
	%{subst_enable xgl} \
	%{subst_enable xglx} \
	%{subst_enable aiglx} \
	%{subst_enable ipv6} \
	%{subst_enable xorgcfg} \
	%{subst_enable xprint} \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

find %buildroot%_modulesdir -name \*.la -delete

%__mkdir_p %buildroot%_modulesdir/{drivers,input}

%__mkdir_p %buildroot%_datadir/X11
%__mkdir_p %buildroot%_sysconfdir/X11/app-defaults

# fonts loader script
%__install -pD -m755 %SOURCE4 %buildroot%_sysconfdir/X11/xinit.d/xfonts

%__mkdir -p %buildroot%_sysconfdir/X11/lib

# move GLX
%__mkdir -p %buildroot%_libdir/X11/mesa_gl
%__mv %buildroot%_modulesdir/extensions/libglx.so %buildroot%_libdir/X11/mesa_gl/libglx-x11.so
%__ln_s -f ../../..%_libdir/X11/mesa_gl/libglx-x11.so %buildroot%_sysconfdir/X11/lib/libglx.so
%__ln_s -f ../../../../..%_sysconfdir/X11/lib/libglx.so %buildroot%_modulesdir/extensions/libglx.so

#%__mv %buildroot%_modulesdir/libwfb.so %buildroot%_modulesdir/libwfb-x11.so
%__ln_s /dev/null %buildroot%_modulesdir/libwfb-x11.so
%__ln_s -f ../../..%_modulesdir/libwfb-x11.so %buildroot%_sysconfdir/X11/lib/libwfb.so
%__ln_s -f ../../../..%_sysconfdir/X11/lib/libwfb.so %buildroot%_modulesdir/libwfb.so

# script for swith libGL and GLX
%__install -pD -m755 %SOURCE2 %buildroot%_libexecdir/X11/drv.d/x11
%__subst "s,@@libdir@@,%_libdir,g" %buildroot%_libexecdir/X11/drv.d/x11

%__install -pD -m644 %SOURCE3 %buildroot%_sysconfdir/pam.d/xserver
%__mkdir_p %buildroot%_sysconfdir/security/console.apps
touch %buildroot%_sysconfdir/security/console.apps/xserver

%pre
%_sbindir/groupadd -r -f xgrp
%pre_control xorg-server

%post
[ -r %_sysconfdir/X11/lib/libwfb.so ] || \
	%__ln_s -f ../../..%_modulesdir/libwfb-x11.so %_sysconfdir/X11/lib/libwfb.so
%post_control xorg-server

%triggerin -- %xf86-server, %name <= 2:1.3.0.0-alt20
cd %_sysconfdir/X11
for d in xorg.conf XF86Config XF86Config-4; do
	if [ -r $d -a -w $d ]; then
		%__subst '/^.*Load.*\"\(pex5\|xie\|xtt\|drm\|type1\).*\"/d' $d
		%__subst 's,Load\(.*\)\"\/usr\/X11R6\/lib\/modules\/extensions\/libglx.\(a\|so\)\",Load\1"glx",' $d
		%__subst 's,^\(.*RgbPath.*\)\(\"\/usr\/X11R6\/lib\/X11\/rgb\"\),\1"%_datadir/X11/rgb",' $d
		%__subst '/^.*ModulePath.*/d' $d
		%__subst '/^.*FontPath.*\/usr.*/d' $d
		%__subst '/^.*Option.*\"XkbRules\".*/d' $d
		%__subst 's,Option\(.*\"XkbOptions\".*grp:\)ctrl_toggle\(.*\),Option\1rctrl_toggle\2,' $d
		%__subst 's,Option\(.*\"XkbOptions\".*grp:\)rctrl_shift_toggle\(.*\),Option\1ctrl_shift_toggle\2,' $d
		%__subst 's,Driver\(.*\)\"[kK]eyboard\",Driver\1"kbd",' $d
		%__subst 's,Driver\(.*\)\"\(radeon\|r128\|.*_gatos\)\",Driver\1"ati",' $d
		%__subst 's,Driver\(.*\)\"via_.*\",Driver\1"via",' $d
	fi
done
for d in XF86Config-4 XF86Config ; do
	if [ -r $d ]; then
		if [ -r xorg.conf ]; then
			mv -f $d $d.obsoleted
		else
			mv -f $d xorg.conf
		fi
	fi
done

%post -n %xorg-extensions-glx
if [ -r %_sysconfdir/X11/xorg.conf ]; then
	%_bindir/x11setupdrv
else
	[ -r %_sysconfdir/X11/lib/libglx.so ] || \
		%__ln_s -f ../../..%_libdir/X11/mesa_gl/libglx-x11.so %_sysconfdir/X11/lib/libglx.so
fi
%post_ldconfig

%postun -n %xorg-extensions-glx
%postun_ldconfig

%post -n libxorgconfig
%post_ldconfig

%postun -n libxorgconfig
%postun_ldconfig

%files
%config(noreplace) %_sysconfdir/pam.d/xserver
%config(missingok noreplace) %_sysconfdir/security/console.apps/xserver
%_sysconfdir/X11/xinit.d/xfonts
%dir %_sysconfdir/X11/lib
%ghost %_sysconfdir/X11/lib/libwfb.so
%_bindir/X
%attr(0700,root,root) %_bindir/Xorg
%_bindir/gtf
%_bindir/cvt
%_bindir/ioport
%_bindir/in?
%_bindir/out?
%_bindir/pcitweak
%_bindir/xorgconfig
%dir %_modulesdir/drivers
%dir %_modulesdir/input
%_modulesdir/fonts
%dir %_modulesdir/linux
%_modulesdir/linux/libfbdevhw.so
%dir %_modulesdir/extensions
%_modulesdir/extensions/libdbe.so
%_modulesdir/extensions/libextmod.so
%_modulesdir/extensions/librecord.so
%_modulesdir/extensions/libxtrap.so
%_modulesdir/*.so
%_datadir/X11/Cards
%_datadir/X11/Options
%_localstatedir/xkb
%_man1dir/Xorg.1*
%_man1dir/gtf.1*
%_man1dir/cvt.1*
%_man1dir/pcitweak.1*
%_man1dir/xorgconfig.1*
%_man1dir/Xserver.1*
%_man4dir/fbdevhw.4*
%_man4dir/exa.4*
%_man5dir/xorg.conf.5*

%files -n %xorg-extensions-glx
%ghost %_sysconfdir/X11/lib/libglx.so
%dir %_libexecdir/X11
%_libexecdir/X11/drv.d
%dir %_modulesdir/extensions
%_modulesdir/extensions/libGLcore.so
%_modulesdir/extensions/libglx.so
%_modulesdir/extensions/libdri.so
%_libdir/X11/mesa_gl

%files -n %xorg-drv-multimedia
%_modulesdir/multimedia

%files common
%dir %_sysconfdir/X11/xserver
%dir %_sysconfdir/X11/app-defaults
%_sysconfdir/X11/xserver/SecurityPolicy
%dir %_libdir/X11
%dir %_datadir/X11
%dir %_modulesdir

%files -n %xorg-xvfb
%_bindir/Xvfb
%_man1dir/Xvfb.1*

%files -n %xorg-xnest
%_bindir/Xnest
%_man1dir/Xnest.1*

%files -n %xorg-xephyr
%_bindir/Xephyr

%if_enabled dmx
%files -n %xorg-xdmx
%_bindir/*dmx*
%_man1dir/*dmx*.1*
%endif

%files -n libxorgconfig
%_libdir/*.so.*

%files -n libxorgconfig-devel
%_includedir/*.h
%_libdir/*.so

%files -n %xorg-sdk
%_includedir/xorg
%_pkgconfigdir/*.pc
%_datadir/aclocal/*.m4

%changelog
* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.10
- CVE-2008-1377 - RECORD and Security extensions memory corruption
- CVE-2008-1379 - MIT-SHM arbitrary memory read
- CVE-2008-2360 - RENDER Extension heap buffer overflow
- CVE-2008-2361 - RENDER Extension crash
- CVE-2008-2362 - RENDER Extension memory corruption

* Fri Apr 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.9
- Mesa-7.0.3
- X86EMU: fixing X for GeodeLX (close #15300)

* Sun Feb 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.8
- don't mark Xinerama as active if no crtcs are enabled (close #12507)
- drop 1360x768 extra modes

* Mon Jan 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.7
- update last security patch

* Sat Jan 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.6
- CVE-2007-6429: Don't spuriously reject <8bpp shm pixmaps

* Fri Jan 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.5
- fixed CVE-2007-5958, CVE-2007-6427, CVE-2007-6428, CVE-2007-6429

* Thu Jan 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.4
- fixed CVE-2007-5760, CVE-2008-0006

* Sat Dec 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.3
- fix a hang in OpenOffice.org when opening menus (close #13566)

* Wed Nov 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.2
- Mesa-7.0.2
- fixed vga driver crash
- disable optimization (introduced by ajax) due to a general vesa
  driver crash later in memcpy

* Thu Oct 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40.1
- add support for evdev in kdrive/Xephyr

* Sun Sep 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.M40
- fixed CVE-2007-4730

* Thu Sep 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21.1
- added xorg-server-1.4-alt-fglrx-crutch.patch

* Fri Aug 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt21
- get rid of the type1 font module
- added xorg-server-1.3.0.0-idletime.patch
- update offscreen pixmaps patch
- update patch for Mesa-7.0.1

* Thu Aug 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt20
- update pci.ids to 2007-08-15 snapshot

* Tue Aug 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt19
- Backported many randr 1.2 fixes and additions from xserver git

* Tue Aug 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt18
- drop obsolete "-scanpci" option (close #12544)

* Sat Aug 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt17
- Mesa-7.0.1

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt16
- added Mesa-7.0-git-function-call-bug11731.patch,
	Mesa-7.0-git-fragment-program-bug11733.patch,
	Mesa-7.0-git-glPointParameteriv-bug11754.patch,
	Mesa-7.0-git-failure-caused-by-undeclared-variable-bug11783.patch,
	Mesa-7.0-git-glGetAttribLocation-bug11774.patch

* Tue Jul 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt15
- update pci.ids to 2007-07-16 snapshot

* Mon Jul 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt14
- added xorg-server-1.3.0.0-git-domain-support-bug5000.patch,
	Mesa-7.0-git-depth-mix-up-bug11577.patch,
	Mesa-7.0-git-swizzle-related-bug11534.patch,
	Mesa-7.0-git-shader-info-bug11588.patch

* Tue Jul 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt13
- added xorg-server-1.3.0.0-git-xf86XVReputVideo.patch (close #12201),
	Mesa-7.0-git-image-bug11448.patch,
	Mesa-7.0-git-GL_DOT3_RGBA-bug11030.patch

* Mon Jun 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt12
- added xorg-server-1.3.0.0-git-DRIScreenPrivIndex-bug11340.patch:
  fixed Xorg crashes when last client disconnects and DRI is not available

* Sat Jun 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt11
- Mesa-7.0

* Thu Jun 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt10
- fixed XKEYBOARD extension for Xnest (close #12095)

* Sat Jun 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt9
- add libwfb.so module ownership for future compatibility

* Mon Jun 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt8
- added Mesa-6.5.3-git-GL_TEXTURE_LOD_BIAS-bug11049.patch,
	Mesa-6.5.3-git-point-attentuation-bug11042.patch,
	xserver-1.2.0-honor-displaysize.patch

* Tue May 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt7
- build GLX without USE_XCB

* Sat May 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt6
- added Mesa-6.5.3-git-STATE_HALF_VECTOR-bug10987.patch
- build GLX with USE_XCB

* Thu May 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt5
- added xorg-x11-server-Red-Hat-extramodes.patch

* Tue May 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt4
- build xephyr server
- added Mesa-6.5.3-git-glXGetArrayType-return-type-bug10938.patch

* Wed May 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt3
- rebuild with libX11 & Mesa with xcb

* Mon Apr 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt2
- Mesa-6.5.3
- fixed CVE-2007-1356

* Fri Apr 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.3.0.0-alt1
- Xorg-7.3 release
- drop upstream patches

* Wed Apr 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.905-alt4
- added xorg-server-1.2.99.905-git-optparsing-memleak.patch: Fix memory leak in option parsing

* Tue Apr 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.905-alt3
- added xorg-server-1.2.99.905-git-AIGLX-enterVT.patch: In AIGLX EnterVT processing,
  invoke driver EnterVT before resuming glx
- added xorg-server-1.2.99.905-git-parcer.patch: Don't write out empty sections from the parser
- added xorg-server-1.2.99.905-git-linuxPci-sysfs.patch: Look for the PCI ROM file elsewhere in sysfs

* Mon Apr 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.905-alt2
- fixed release-major

* Fri Apr 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.905-alt1
- Xorg-7.3RC5

* Fri Apr 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.904-alt1
- Xorg-7.3RC4

* Tue Apr 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.903-alt3
- fixed CVE-2007-1003: XC-MISC Extension ProcXCMiscGetXIDList() Memory Corruption

* Thu Mar 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.903-alt2
- added xorg-server-1.2.99.903-git-timer-rescheduling-bug10296.patch

* Tue Mar 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.903-alt1
- Xorg-7.3RC3
- set black background on startup

* Wed Mar 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.902-alt5
- added xorg-server-1.2.99.902-git-xf86_reload_cursors.patch,
	xorg-server-1.2.99.902-alt-loader-typo.patch
- spec cleanup

* Wed Mar 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.902-alt2
- added xorg-server-1.2.99.902-git-CRTC-based-cursor.patch

* Wed Mar 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.902-alt1
- Xorg-7.3RC2
- drop xorg-server-1.1.99.903-revert-int10.patch

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.99.901-alt1
- Xorg-7.3RC1
- added Mesa-6.5.2-git-n_dot_h-bug9977.patch

* Wed Feb 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.0-alt6
- added Mesa-6.5.2-git-tnl-bug9856.patch,
	xorg-server-1.2.0-git-8888x0565mmx-bug9682.patch,
	xorg-server-1.2.0-git-use-8888x0565mmx.patch,
	Mesa-6.5.2-git-fd-bug9684.patch,
	xorg-server-1.2.0-git-xf86_libc_h-typo.patch,
	xorg-server-1.2.0-git-client-privates-leak.patch,
	xorg-server-1.2.0-git-security-bug6988.patch,
	xorg-server-1.2.0-git-clientGone-XFixes-bug1753.patch

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.0-alt5
- added Mesa-6.5.2-git-main-mem-leak.patch,
	Mesa-6.5.2-git-glxext-mem-leak.patch

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.0-alt4
- added xorg-server-1.2.0-git-linuxPCIOpenFile-bug9692.patch,
	Mesa-6.5.2-git-CheckArrayBounds-bug9285.patch,
	Mesa-6.5.2-git-GetVertexAttribPointerv-bug9628.patch,
	xorg-server-1.2.0-git-length-limiting-bug9680.patch
- added requires iceauth for %name

* Thu Jan 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.0-alt3
- added xorg-server-1.2.0-git-EXA-bug7639.patch,
	xorg-server-1.2.0-git-plugmemoryleak.patch

* Wed Jan 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.0-alt2
- fixed typo in obsoletes xorg-x11-extensions-dri

* Tue Jan 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.2.0-alt1
- Xorg-7.2.0 release
- drop upstream patches

* Mon Jan 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt6.2
- added xorg-server-1.1.99.903-git-drmOpen-bug9275.patch,
	xorg-server-1.1.99.903-git-optimized-render-cases.patch,
	xorg-server-1.1.99.903-git-real-optimized-render-cases.patch,
	xorg-server-1.1.99.903-alt-libglx-link.patch

* Fri Jan 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt6
- update pci.ids to 2007-01-18 snapshot

* Tue Jan 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt5
- security fix CVE-2006-6101, CVE-2006-6102, CVE-2006-6103
- added Mesa-6.5.2-git-PolygonMode-bug9578.patch,
	xorg-server-1.1.99.901-glXDRIbindTexImage-target.patch,
	xorg-server-1.1.99.903-dont-backfill-bg-none.patch,
	xorg-server-1.1.99.903-offscreen-pixmaps.patch,
	xorg-server-1.1.99.903-no-move-damage.patch,
	xorg-server-1.1.99.903-git-ARGB-GLcore.patch,
	Mesa-6.5.2-git-VBO-state-bug9445.patch,
	Mesa-6.5.2-git-32bit-Z-buffer.patch

* Mon Jan 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt4
- added Mesa-6.5.2-git-swrast-bug9345.patch,
	xorg-server-1.1.99.903-git-exa-disable-SHM-pixmaps.patch,
	xorg-server-1.1.99.903-git-exa-dxdy.patch,
	xorg-server-1.1.99.903-git-exa-driver-limits.patch,
	xorg-server-1.1.99.903-git-fbdevhw.patch

* Thu Dec 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt3
- added xorg-server-1.1.99.903-revert-int10.patch, fixed i9xx problems
- added xorg-server-1.1.99.903-ignore-libdrm.patch to ignore requests
  for loading obsolete drm module
 
* Wed Dec 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt2.1
- added xorg-server-1.1.99.903-git-composite-viewable.patch,
	xorg-server-1.1.99.903-git-pci_ids.patch

* Sun Dec 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt2
- Mesa-6.5.2 release
- added xorg-server-1.1.99.903-render-size-overflow.patch

* Sat Dec 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.903-alt1
- Xorg-7.2RC3
- Mesa-6.5.2 CVS snapshot 2006-12-01
- removed %xorg-extensions-dri subpackage
- moved libglx-x11.so to %_libdir/X11/mesa_gl
- added xorg-server-1.1.99.902-git-xf86MapDomainMemory.patch,
	xorg-server-1.1.99.902-git-latest_gl_API.patch,
	xorg-server-1.1.99.902-xdmx-RENDER.patch,
	xorg-server-1.1.99.901-GetDrawableAttributes.patch

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.902-alt2
- fixed undefined symbol in libxf86config.so
- removed xorg-server-1.1.99.3-alt-extmod-fontcache.patch and disabled fontcache
- Mesa-6.5.2 CVS snapshot 2006-11-15

* Tue Nov 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.902-alt1
- Xorg-7.2RC2
- Mesa-6.5.2 CVS snapshot 2006-11-14
- removed xorg-x11-server-1.1.1-offscreen-pixmaps.patch

* Wed Oct 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.99.901-alt1
- Xorg-7.2RC1
- Mesa-6.5.2 CVS snapshot 2006-10-18

* Wed Oct 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt6
- build with --enable-glx-tls to enable TLS support.

* Wed Oct 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt5
- rebuild with glibc-2.5
- remove linux-libc-headers from build dependencies, build with glibc-kernheaders

* Thu Sep 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt4
- rollback to older GL API (xorg-server-1.1.1 2006-03-12, since 2006-08-31 broke fglrx)
- added %%_optlevel 3 and call me a gentooist

* Mon Sep 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt3
- fix AIGLX VT switching
- probe xorg-server-1.1.1-mdk-Blue-background-on-startup.patch

* Fri Sep 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt2
- fix problems with vertex program protocol

* Wed Aug 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt1.1
- Xorg-7.1.1
- Mesa-6.5.1
- build AIGLX, disabled by defaults
- build with APM/ACPI, PM support disabled by defaults

* Wed Aug 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt6
- xorg-server-1.1.0-setuid.patch
- removed x-cursor-theme-bluecurve
- fixed requires for %name

* Wed May 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt5
- xorg-x11-6.9.0-CVE-2006-1526.patch

* Sun Apr 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt4
- removed patch for support APM/ACPI (since not used)

* Sat Apr 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt3
- removed shadow patch

* Fri Mar 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt2
- added fonts loader script
- removed layer extension
- fixed build glx extension for x86_64

* Tue Mar 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt1
- 1.0.2 security bugfix
- updated shadow to 1.1.0 from CVS

* Tue Mar 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt15
- Xfixes Version 4.0
- Composite Version 0.3
- disabled RH die-ugly-pattern-die-die-die patch

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt14
- added render2swap patch from CVS
- added RRGetRotation patch from CVS
- added mesa-6.4.2-dix-config patch

* Fri Mar 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt13
- fixed update from XFree86
- added xkb maprules patch from CVS

* Tue Feb 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt12
- build with linux-libc-headers
- removed requires libmesa-%%mesaversion to %xorg-extensions-glx, requires libmesa

* Fri Feb 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt11
- Added xorg-server-1.0.1-SEGV-on-null-interface.patch which prevents a
  SEGV on null interfaces (#9023)

* Thu Feb 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt10
- rebuild with Mesa-6.4.2

* Fri Feb 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt9
- removed xkb script (#9012, #7787)
- added requires xorg-x11-xdm

* Tue Jan 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt8
- added randrstr.h to sdk subpackage

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt7
- fixed ACPI support

* Wed Jan 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt6
- fixed requires

* Thu Jan 12 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt5
- set drvdir to /usr/libexec/X11/drv.d
- fixed build FontCache extensions

* Sun Jan 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt4
- fixed conflicts version

* Thu Jan 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt3
- enabled APM/ACPI support

* Sun Jan 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt2
- fixed requires

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.4-alt1
- Xorg-7.0RC3

* Fri Nov 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.3-alt0.1
- 7.0-RC2
